Subject: Re: 23.1; ns-antialias-text set to nil has no effect

From: Francis Devereux <[email-masked]>
Date: Thu, 25 Feb 2010 20:40:12 +0000

On 15 Feb 2010, at 23:36, John Whitley wrote:

> 
> On Feb 14, 2010, at 8:01 AM, Francis Devereux wrote:
>> On 14 Feb 2010, at 15:38, David Reitter wrote:
>>> ns_antialias_text is wrongly declared as an int instead of Lisp_Object, and the nonstandard pointer comparison to Qnil helped cover it up, I suppose.  That also explains why it happened to work on 32bit.   Try the patch below.
>> 
>> Thanks David, works when compiled as 64 bit on OS X 10.6.2.
> 
> Second confirmation.  I built Emacs.app as 64 bit with David's patch against bzr revno 99498; the setting ns-antialias-text is now correctly observed.

David's patch fixes the problem for both John and I, would it be possible for someone to commit it?

Francis